Last Comment Bug 737575 - Text doesn't appear on matrix.itasoftware.com
: Text doesn't appear on matrix.itasoftware.com
Status: RESOLVED FIXED
[qa+]
: regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla14
Assigned To: Luke Wagner [:luke]
:
: Jason Orendorff [:jorendorff]
Mentors:
http://matrix.itasoftware.com/
: 738083 738229 (view as bug list)
Depends on:
Blocks: 733950
  Show dependency treegraph
 
Reported: 2012-03-20 12:10 PDT by :Margaret Leibovic
Modified: 2012-06-22 05:40 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments
screenshot (197.42 KB, image/png)
2012-03-20 12:10 PDT, :Margaret Leibovic
no flags Details
fix and test (1.78 KB, patch)
2012-03-20 17:03 PDT, Luke Wagner [:luke]
dvander: review+
Details | Diff | Splinter Review

Description :Margaret Leibovic 2012-03-20 12:10:38 PDT
Created attachment 607653 [details]
screenshot

I haven't looked into this closely to see what styles they're using, but a lot of the text around the form fields on matrix.itasoftware.com is not visible. Screenshot attached.

It works in the latest Aurora, but busted in Nightly.
Comment 1 Alice0775 White 2012-03-20 13:07:52 PDT
Regression window(m-c),
Works:
http://hg.mozilla.org/mozilla-central/rev/ee56787a20fb
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120316 Firefox/14.0a1 ID:20120316025529
Fails:
http://hg.mozilla.org/mozilla-central/rev/7f540f758671
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120316 Firefox/14.0a1 ID:20120316054431
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=ee56787a20fb&tochange=7f540f758671


Regression window(m-i),
Works:
http://hg.mozilla.org/integration/mozilla-inbound/rev/b752b0c0dc02
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120315 Firefox/14.0a1 ID:20120315100728
Fails:
http://hg.mozilla.org/integration/mozilla-inbound/rev/8f3b804118ef
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120315 Firefox/14.0a1 ID:20120315102728
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=b752b0c0dc02&tochange=8f3b804118ef

Triggered by: Bug 730497
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2012-03-20 13:09:55 PDT
It's not styles.  The text is not present in the DOM either.

All that stuff seems to be script-generated, and they're running into some sort of scripting issue.  E.g. see the "undefined" next to the dropdown with 1--9 in it...
Comment 3 Luke Wagner [:luke] 2012-03-20 17:03:10 PDT
Created attachment 607779 [details] [diff] [review]
fix and test
Comment 4 Luke Wagner [:luke] 2012-03-20 17:12:19 PDT
The bug was that arguments["i"] needs to return arguments[i] (for integers i) and the patch failed to do that when the arguments object had been optimized away (NormalArgumentsObject::optimizedGetElem).

Thanks for reporting Margaret!
Comment 5 :Margaret Leibovic 2012-03-20 17:50:21 PDT
(In reply to Luke Wagner [:luke] from comment #4)

> Thanks for reporting Margaret!

Thanks for the super quick fix!
Comment 7 Matt Brubeck (:mbrubeck) 2012-03-21 12:01:04 PDT
https://hg.mozilla.org/mozilla-central/rev/25cd2846cf90
Comment 8 Luke Wagner [:luke] 2012-03-21 18:21:06 PDT
*** Bug 738083 has been marked as a duplicate of this bug. ***
Comment 9 bogas04 2012-03-22 09:50:35 PDT
*** Bug 738229 has been marked as a duplicate of this bug. ***
Comment 10 Simona B [:simonab ] 2012-06-22 05:40:31 PDT
Verified that text is properly displayed on:
http://matrix.itasoftware.com/
http://gs.statcounter.com/

Verified using Firefox 14 beta 8 on Windows XP, Mac OS X 10.6 and on Ubuntu 12.04:

Mozilla/5.0 (Windows NT 6.1; rv:14.0) Gecko/20100101 Firefox/14.0
Mozilla/5.0 (X11; Linux i686; rv:14.0) Gecko/20100101 Firefox/14.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:14.0) Gecko/20100101 Firefox/14.0

Note You need to log in before you can comment on or make changes to this bug.